UR-UPDATE-SCHEMA-DIAGRAM(1p)

NAME
ur update schema-diagram - Update an Umlet diagram based on the current schema

VERSION
This document describes ur update schema-diagram version 0.29.

SYNOPSIS
ur update schema-diagram --file=? [--data-source=?] [--depth=?] [--show-columns] [INITIAL-NAME]

REQUIRED ARGUMENTS

file  String
    Pathname of the Umlet (.uxf) file

OPTIONAL ARGUMENTS

data-source  String
    Which datasource to use

depth  Integer
    Max distance of related tables to include. Default is 1. 0 means show only the named tables, -1 means to include everything

show-columns  Boolean
    Include column names in the diagram

    Default value 'true' if not specified

noshow-columns  Boolean
    Make show-columns 'false'

INITIAL-NAME
    (undocumented)

DESCRIPTION:
  Creates a new Umlet diagram, or updates an existing diagram.  Bare arguments
  are taken as table names to include in the diagram.  Other tables may be
  included in the diagram based on their distance from the names tables
  and the --depth parameter.

  If an existing file is being updated, the position of existing elements
  will not change.